@import url("https://fonts.googleapis.com/css?family=Raleway:200,300,400,500,600");
:root {
    --mainColor: 66, 155, 245;
    /*blue:rgb(66, 155, 245);
    red: rgb(206, 27, 39);*/
}

body,
html {
    margin: 0%;
    box-sizing: border-box;
    overflow-x: hidden;
    scroll-behavior: smooth;
    font-family: 'Raleway', sans-serif;
}

p,
a {
    color: inherit;
    text-decoration: none;
    text-align: center;
}

li {
    list-style: none;
}

.flex-row {
    margin: 0%;
    display: flex;
    flex-direction: row;
    justify-content: center;
}

h1,
h2,
h3 {
    margin: 0;
    font-weight: 300;
    line-height: 1.5;
    text-transform: uppercase;
    text-align: center;
}

.container {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

.section-title {
    font-size: 4rem;
    font-weight: 300;
    color: black;
    margin-bottom: 10px;
    text-transform: uppercase;
    letter-spacing: .2rem;
    text-align: center;
}

.section-title span {
    color: rgb(var(--mainColor));
}

.cta {
    display: inline-block;
    padding: 10px 30px;
    color: white;
    background-color: transparent;
    border: 2px solid rgb(var(--mainColor));
    font-size: 1rem;
    text-transform: uppercase;
    letter-spacing: .1rem;
    margin-top: 30px;
    -webkit-transition: .3s ease;
    -o-transition: .3s ease;
    transition: .3s ease;
    -webkit-transition-property: background-color, color;
    -o-transition-property: background-color, color;
    transition-property: background-color, color;
}

.cta:hover {
    color: white;
    background-color: rgb(var(--mainColor));
}

body:before {
    content: ' ';
    background-image: url(https://images.unsplash.com/photo-1562877773-a37120131ec4?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1049&q=80);
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;
    display: block;
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    opacity: 0.1;
}


/*-----------------------------------nav----------------------------------*/

.nav-link {
    transition: all 1s;
    background-color: rgba(var(--mainColor), 0.5);
}

.nav-link:first-child {
    border-radius: 0px 0px 0px 30px;
    -webkit-border-radius: 0px 0px 0px 30px;
    -moz-border-radius: 0px 0px 0px 30px;
    -ms-border-radius: 0px 0px 0px 30px;
    -o-border-radius: 0px 0px 0px 30px;
}

.nav-link:last-child {
    border-radius: 0px 0px 30px 0px;
    -webkit-border-radius: 0px 0px 30px 0px;
    -moz-border-radius: 0px 0px 30px 0px;
    -ms-border-radius: 0px 0px 30px 0px;
    -o-border-radius: 0px 0px 30px 0px;
}

.nav-items {
    position: fixed;
    width: 100%;
    padding: 0%;
    margin: 0%;
    display: flex;
    justify-content: center;
    transform: translateY(-110px);
    -webkit-transform: translateY(-110px);
    -moz-transform: translateY(-110px);
    -ms-transform: translateY(-110px);
    -o-transform: translateY(-110px);
    z-index: 1000;
}

.nav-text {
    margin: 10px auto;
    height: 80px;
    font: 1em sans-serif;
    color: white;
    padding: 5px;
    writing-mode: vertical-lr;
    -webkit-writing-mode: vertical-lr;
    -ms-writing-mode: vertical-lr;
}

.nav-icon {
    text-align: center;
    color: black;
    padding: 15px 15px 15px 15px;
    transform: rotate(0deg);
}

.nav-link:hover {
    background-color: rgb(var(--mainColor));
    transform: translateY(110px);
    -webkit-transform: translateY(110px);
    -moz-transform: translateY(110px);
    -ms-transform: translateY(110px);
    -o-transform: translateY(110px);
    border-radius: 0px 0px 30px 30px;
    -webkit-border-radius: 0px 0px 30px 30px;
    -moz-border-radius: 0px 0px 30px 30px;
    -ms-border-radius: 0px 0px 30px 30px;
    -o-border-radius: 0px 0px 30px 30px;
}

.nav-link:hover i {
    transform: rotate(360deg);
    transition: all 1s;
}

.nav-icon i {
    background-color: white;
    padding: 10px;
    border-radius: 50%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
}

/*---------------------------------color----------------------------------*/

#color {
    justify-content: left;
}

#color .cta {
    margin: 10px;
    padding: 10px;
    border-radius: 50px;
    -webkit-border-radius: 50px;
    -moz-border-radius: 50px;
    -ms-border-radius: 50px;
    -o-border-radius: 50px;
}

#color p {
    margin: 10px;
    font-size: 1rem;
}

#red {
    background-color: rgb(206, 27, 39);
}

#blue {
    background-color: rgb(66, 155, 245);
}

#green {
    background-color: rgb(69, 206, 27);
}

#yellow {
    background-color: rgb(206, 143, 27);
}

/*-----------------------------------home---------------------------------*/

#home {
    display: flex;
    justify-content: center;
    align-items: center;
    /*background-image: url("./img/banner.png");*/
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    border-top: 0;
    height: auto !important;
    min-height: 0;
    overflow: hidden;
    position: relative;
    text-align: center;
    width: 100%;
    color: rgba(255, 255, 255, 0.5);
    padding: 8rem 0rem 8rem 0rem;
}

#home>.inner {
    -moz-transform: scale(1.0);
    -webkit-transform: scale(1.0);
    -ms-transform: scale(1.0);
    transform: scale(1.0);
    -moz-transition: opacity 1s ease, transform 1s ease;
    -webkit-transition: opacity 1s ease, transform 1s ease;
    -ms-transition: opacity 1s ease, transform 1s ease;
    transition: opacity 1s ease, transform 1s ease;
    opacity: 1;
    position: relative;
    z-index: 3;
    -o-transition: opacity 1s ease, transform 1s ease;
}

#home>.inner> :last-child {
    margin-bottom: 0;
}

#home h1 {
    font-size: 3.5rem;
    margin-bottom: 1rem;
    color: #ffffff;
}

#home h1 span {
    color: rgb(var(--mainColor));
}

#home a{
    color: rgba(var(--mainColor));
}

#home a:hover {
    color: #ffffff;
}

#home video {
    display: block;
    -moz-transform: translateX(50%) translateY(50%);
    -webkit-transform: translateX(50%) translateY(50%);
    -ms-transform: translateX(50%) translateY(50%);
    transform: translateX(50%) translateY(50%);
    bottom: 10%;
    height: auto;
    min-height: 100%;
    min-width: 100%;
    overflow: hidden;
    position: absolute;
    right: 100%;
    width: auto;
    -o-transform: translateX(50%) translateY(50%);
    filter: grayscale(0);
    -webkit-filter: grayscale(0);
}

#home::before {
    transition: opacity 3s ease;
    transition-delay: 1.25s;
    background: #111111;
    content: '';
    display: block;
    height: 100%;
    left: 0;
    opacity: 0.45;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 1;
}

#home:after {
    background: linear-gradient(135deg, rgb(var(--mainColor)) 0%, #111111 74%);
    content: ' ';
    display: block;
    height: 100%;
    left: 0;
    opacity: 0.6;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 1;
}

body.is-preload #home .inner {
    transform: scale(0.8);
    opacity: 0;
    -webkit-transform: scale(0.8);
    -moz-transform: scale(0.8);
    -ms-transform: scale(0.8);
    -o-transform: scale(0.8);
}

body.is-preload #home:before {
    opacity: 1;
}


/*-----------------------------------Services-----------------------------*/
@keyframes spinner {
    to {
        transform: rotate(360deg);
    }
}

.spinner:before {
    content: '';
    box-sizing: border-box;
    position: absolute;
    left: 50%;
    width: 40px;
    height: 40px;
    margin-top: -10px;
    margin-left: -10px;
    border-radius: 50%;
    border: 2px solid #ccc;
    border-top-color: rgb(var(--mainColor));
    animation: spinner .6s linear infinite;
}

#services h1 {
    letter-spacing: 3px;
    color: #000000;
    font-size: 2.5rem;
    padding-top: 80px;
}

#services h1 span {
    color: rgb(var(--mainColor));
    font-size: 2.5rem;
    padding-top: 80px;
    text-shadow: none;
}

#services h2 {
    font-size: 1rem;
}

#services h3 {
    color: black;
    font-size: 1.4rem;
    margin: 50px;
    text-transform: unset;
    opacity:0;
    transition: opacity 2s;
}

#services p {
    margin: 5px;
    font-size: 0.8rem;
}

#services .container {
    margin: 50px auto;
    display: -webkit-box;
    display: flex;
    flex-wrap: wrap;
    -webkit-box-pack: center;
    justify-content: center;
}

#services canvas {
    height: 100% !important;
}

.ser-3d {
    height: 70%;
}

.ser-item {
    background-color: #ffffff;
    margin: 25px;
    width: 320px;
    height: 240px;
    box-shadow: 5px 5px 20px 0px #909090;
}


/*---------------------------------travel---------------------------------*/

#travel {
    min-height: 100vh;
    background-color: rgb(var(--mainColor));
    background-attachment: fixed;
    background-image: linear-gradient(135deg, rgba(var(--mainColor), 0.5) 0%, #111111d0 74%), url(./img/travel.jpg);
    background-position: bottom;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
    text-align: center;
    z-index: 1;
}

#travel h1 {
    letter-spacing: 3px;
    color: #ffffff;
    font-size: 2.5rem;
    padding-top: 80px;
}

#travel h1 span {
    color: rgb(var(--mainColor));
    font-size: 2.5rem;
    padding-top: 80px;
    text-shadow: none;
}

.card-container {
    display: -webkit-box;
    display: flex;
    flex-wrap: wrap;
    -webkit-box-pack: center;
    justify-content: center;
}

.cardWrap {
    margin: 10px;
    -webkit-transform: perspective(800px);
    transform: perspective(800px);
    -webkit-transform-style: preserve-3d;
    transform-style: preserve-3d;
    cursor: pointer;
}



.cardWrap:hover .cardInfo p {
    opacity: 1;
}

.cardWrap:hover .cardInfo,
.cardWrap:hover .cardInfo p {
    -webkit-transition: 0.6s cubic-bezier(0.23, 1, 0.32, 1);
    transition: 0.6s cubic-bezier(0.23, 1, 0.32, 1);
}

.cardWrap:hover .cardInfo:after {
    -webkit-transition: 5s cubic-bezier(0.23, 1, 0.32, 1);
    transition: 5s cubic-bezier(0.23, 1, 0.32, 1);
    opacity: 1;
    -webkit-transform: translateY(0);
    transform: translateY(0);
}

.cardWrap:hover .cardBg {
    -webkit-transition: 0.6s cubic-bezier(0.23, 1, 0.32, 1), opacity 5s cubic-bezier(0.23, 1, 0.32, 1);
    transition: 0.6s cubic-bezier(0.23, 1, 0.32, 1), opacity 5s cubic-bezier(0.23, 1, 0.32, 1);
    opacity: 0.8;
}

.cardWrap:hover .card {
    -webkit-transition: 0.6s cubic-bezier(0.23, 1, 0.32, 1), box-shadow 2s cubic-bezier(0.23, 1, 0.32, 1);
    transition: 0.6s cubic-bezier(0.23, 1, 0.32, 1), box-shadow 2s cubic-bezier(0.23, 1, 0.32, 1);
    box-shadow: rgba(0, 0, 0, 0.2) 0 0 40px 5px, rgba(0, 0, 0, 0.66) 0 30px 60px 0;
}

.card {
    margin: 20px;
    position: relative;
    -webkit-box-flex: 0;
    flex: 0 0 320px;
    width: 320px;
    height: 240px;
    background-color: #333;
    overflow: hidden;
    box-shadow: rgba(0, 0, 0, 0.66) 0 30px 60px 0;
    -webkit-transition: 1s cubic-bezier(0.445, 0.05, 0.55, 0.95);
    transition: 1s cubic-bezier(0.445, 0.05, 0.55, 0.95);
    /*border-radius: 20px;
    -webkit-border-radius: 20px;
    -moz-border-radius: 20px;
    -ms-border-radius: 20px;
    -o-border-radius: 20px;*/
}

.cardBg {
    opacity: 0.5;
    position: absolute;
    top: -20px;
    left: -20px;
    width: 100%;
    height: 100%;
    padding: 20px;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    -webkit-transition: 1s cubic-bezier(0.445, 0.05, 0.55, 0.95), opacity 5s 1s cubic-bezier(0.445, 0.05, 0.55, 0.95);
    transition: 1s cubic-bezier(0.445, 0.05, 0.55, 0.95), opacity 5s 1s cubic-bezier(0.445, 0.05, 0.55, 0.95);
    pointer-events: none;
}

.cardInfo {
    height: 170px;
    padding: 20px;
    position: absolute;
    bottom: 0;
    color: #fff;
    -webkit-transform: translateY(30%);
    transform: translateY(30%);
    -webkit-transition: 0.6s 1.6s cubic-bezier(0.215, 0.61, 0.355, 1);
    transition: 0.6s 1.6s cubic-bezier(0.215, 0.61, 0.355, 1);
}

.cardInfo p {
    opacity: 1;
    text-shadow: black 0 2px 3px;
    -webkit-transition: 0.6s 1.6s cubic-bezier(0.215, 0.61, 0.355, 1);
    transition: 0.6s 1.6s cubic-bezier(0.215, 0.61, 0.355, 1);
}

.cardInfo * {
    position: relative;
    z-index: 1;
}

.cardInfo:after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    z-index: 0;
    width: 100%;
    height: 100%;
    background-image: -webkit-gradient( linear, left top, left bottom, from(transparent), to(rgba(0, 0, 0, 0.6)));
    background-image: linear-gradient( to bottom, transparent 0%, rgba(0, 0, 0, 0.6) 100%);
    background-blend-mode: overlay;
    opacity: 0;
    -webkit-transform: translateY(100%);
    transform: translateY(100%);
    -webkit-transition: 5s 1s cubic-bezier(0.445, 0.05, 0.55, 0.95);
    transition: 5s 1s cubic-bezier(0.445, 0.05, 0.55, 0.95);
}

.cardInfo h1 {
    font-size: 36px;
    font-weight: 700;
}

#travel h3 {
}

#header-travel {
    opacity: 0;
    transition: opacity 2s ease;
    font-weight: 400;
    font-size: 1rem;
    margin: 50px;
    text-transform: unset;
    color: rgb(255, 255, 255);
}

/****************************about**********************************/

#about {
    background-color: rgba(0, 0, 0, 0.95);
    min-height: 100vh;
}

#about h1 {
    letter-spacing: 3px;
    color: #ffffff;
    font-size: 2rem;
    padding-top: 80px;
}

#about h1 span {
    color: rgb(var(--mainColor));
    font-size: 2rem;
    padding-top: 80px;
    text-shadow: none;
}

#about .wraper {
    margin-top: 50px;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-around;
}

#about p {
    font-weight: 300;
    letter-spacing: 0.1rem;
}

#about-text {
    padding: 20px;
    width: 600px;
    color: #ffffff;
}

#about-img img {
	/*filter: grayscale(1) contrast(1.5);
    -webkit-filter: grayscale(1) contrast(1.5);*/
    position: relative;
    padding: 0px;
    width: 100%;
    height: 100%;
    align-content: flex-end;
    z-index: 1;
}

#about-img {
    left: 100vw;
    transition: left 2s ease;
    margin-bottom: 50px;
    width: 200px;
    height: 200px;
    position: relative;
    border: 10px solid #ffffff;
    z-index: 0;
    border-radius: 0px 0px 7px 0px;
    -webkit-border-radius: 0px 0px 7px 0px;
    -moz-border-radius: 0px 0px 7px 0px;
    -ms-border-radius: 0px 0px 7px 0px;
    -o-border-radius: 0px 0px 7px 0px;
}

#about-img::after {
    content: '';
    position: absolute;
    right: -25px;
    top: 20px;
    height: 98%;
    width: 98%;
    border: 7px solid rgb(var(--mainColor));
    z-index: -1;
    border-radius: 15px;
    -webkit-border-radius: 15px;
    -moz-border-radius: 15px;
    -ms-border-radius: 15px;
    -o-border-radius: 15px;
}


/*******************contact*************************/

#contact {
    background-color: rgba(0, 0, 0, 0.95);
    color: black;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

#contact h1 {
    letter-spacing: 3px;
    color: rgb(255, 255, 255);
    font-size: 2rem;
    padding-top: 80px;
}

#contact h1 span {
    color: rgb(var(--mainColor));
    font-size: 2rem;
    padding-top: 80px;
    text-shadow: none;
}

#contact .contact-item {
    background-color: rgba(255, 255, 255, 0.8);
    width: fit-content;
    padding: 20px;
    text-align: center;
    border-radius: 10px;
    padding: 30px;
    margin: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    box-shadow: 0px 0px 18px 0 #0000002c;
}

#contact .icon {
    width: 70px;
    margin: 0 auto;
    margin-bottom: 10px;
}

#contact .contact-info h1 {
    padding: 10px;
    text-transform: unset;
    color: black;
    font-size: 2.5rem;
    font-weight: 500;
    margin-bottom: 5px;
}

#contact a {
    color: rgb(var(--mainColor));
    font-size: 1.3rem;
    line-height: 2rem;
    font-weight: 500;
}


/*----------------------------------footer--------------------------------*/

#footer {
    height: fit-content;
    background-color: rgba(0, 0, 0, 0.95);
}

#footer .container {
    min-height: 100vh;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

#footer .footer {
    min-height: 200px;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    padding-top: 50px;
    padding-bottom: 10px;
}

#buttons {
    display: flex;
    justify-content: center;
}

#footer h1,
#footer h2 {
    color: white;
    font-weight: 300;
    font-size: 1.3rem;
    letter-spacing: .1rem;
    margin-top: 10px;
    margin-bottom: 10px;
}

#footer p {
    margin: 20px;
    text-align: left;
    color: white;
    font-size: 0.8rem;
    letter-spacing: .1rem;
}

.rh,
.ds,
.mn {
    -ms-flex-line-pack: center;
    align-content: center;
    text-align: center;
    padding: 0 18px;
    display: none;
}

.rh-visible,
.ds-visible,
.mn-visible {
    -ms-flex-line-pack: center;
    align-content: center;
    padding: 0 18px;
    display: block;
    overflow: hidden;
    overflow-x: auto !important;
}


/*----------------media query--------------------------*/

@media screen and (min-width: 1280px) {
    #home video {
        display: block;
        right: 50%;
    }
}

@media screen and (min-width: 736px) {
    .cta {
        font-size: 1.5rem;
        padding: 20px 60px;
    }
    #home {
        height: 35rem !important;
        min-height: 35rem;
        padding: 0;
    }
    #home .inner {
        width: 100%;
    }
    #home video {
        display: block;
        right: 50%;
    }
    #home h1 {
        font-size: 7rem;
    }
    #home p {
        font-size: 2.5rem;
    }
    #services h1,
    #services h1 span {
        font-size: 5rem;
    }
    #services h2 {
        margin: 20px;
        font-size: 2.2rem;
    }
    #services h3 {
        font-size: 1.8rem;
    }
    #services p {
        font-size: 1.3rem;
    }
    .ser-item {
        margin: 25px;
        width: 640px;
        height: 480px;
    }
    #travel h1,
    #travel h1 span {
        font-size: 5rem;
    }
    #travel h3 {
        font-size: 1.8rem;
    }
    .cardWrap:hover .cardInfo {
    -webkit-transform: translateY(0);
    transform: translateY(0);
    }
    .cardInfo p{
        opacity: 0;
    }
    #projects .projects-header h1 {
        font-size: 5rem;
    }
    #projects .project-item {
        flex-direction: row;
    }
    #projects .project-item:nth-child(even) {
        flex-direction: row-reverse;
    }
    #projects .project-item {
        height: 400px;
        margin: 0;
        width: 100%;
    }
    #projects .all-projects .project-info {
        height: 100%;
    }
    #projects .all-projects .project-img {
        height: 100%;
    }
    #about-img {
        width: 400px;
        height: 400px;
    }
    #about h1,
    #about h1 span {
        font-size: 5rem;
    }
    #about h2 {
        margin: 20px;
        font-size: 2.2rem;
    }
    #about p {
        font-size: 1.6rem;
    }
    #contact h1,
    #contact h1 span {
        font-size: 5rem;
    }
    #footer h1,
    #footer h2 {
        font-size: 1.8rem;
    }
    #footer p {
        font-size: 1rem;
    }
}